org.apache.maven.scm.provider.starteam.command.tag

## Class StarteamTagConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.starteam.command.tag.StarteamTagConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class StarteamTagConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Dan T. Tran

### Constructor Summary

Constructors
Constructor and Description
`StarteamTagConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ScmFile>` `getTaggedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StarteamTagConsumer

    public StarteamTagConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getTaggedFiles

    public List<ScmFile> getTaggedFiles()